Subject: RE: Documentation Breakage at 2.5.6

From: "Randall S. Becker" <[email-masked]>
Date: Fri, 8 Dec 2017 17:47:19 -0500

-----Original Message-----
On December 8, 2017 5:29 PM Junio C Hamano wrote:
>"Randall S. Becker" <[email-masked]> writes:
>> One request to Junio: Would it be possible to tag the commits to align 
>> with the tags in the main repo? That way, I can build a nice little 
>> Jenkins job to automatically fetch the correct commit for man pages 
>> when packaging up a release.
>I am not interested in doing anything more than absolute minimum in the history that records generated cruft.  We already describe the mainline commit object names in the messages; perhaps that is >sufficient?
>        commit daa88a54a985ed1ef258800c742223c2a8f0caaa
>       Author: Junio C Hamano <[email-masked]>
>       Date:   Wed Dec 6 10:04:03 2017 -0800
>
>           Autogenerated manpages for v2.15.1-354-g95ec6
>The primary reason why I do not want to tag them is because the tree the documentation sources were taken from is *not* the only thing that affects these autogenerated cruft.  The AsciiDoc toolchain that >happen to be installed on the box the day I ran the documentation tools is an obvious difference, and I do not want to make them appear any more definitive and official.  "This is *the* manpage for release >v2.15.1" is the message I do not want to give.

No worries. I will push on with trying to get asciidoc to build so that I can generate the man pages. That probably won't happen soon, so I'll keep MacGyvering. I do get generating is the better solution, but I would rather focus my own efforts on keeping up with git (that ports fairly easily and is essential to work life) than burning off $DAYJOB hours on asciidoc and/or xmlto.

Cheers,
Randall